dnl aclocal.m4 generated automatically by aclocal 1.4a

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.


AC_DEFUN(AC_SS_CXXFLAGS,
[
	AC_MSG_CHECKING([If you want the debug symbols...])
	AC_ARG_WITH(debug-symbols, [  --with-debug-symbols    Specifies to leave the debug symbols in the executable],SS_ADD_DEBUG_SYMBOLS="true")

	CXXFLAGS=""

	if test -n "$SS_ADD_DEBUG_SYMBOLS"; then
		AC_MSG_RESULT([yes])
		CXXFLAGS="-g"
	else
		AC_MSG_RESULT([no])
	fi

	AC_MSG_CHECKING([If you want O3 optimisation...])
	AC_ARG_WITH(o3-optimisation, [  --with-o3-optimisation  Specifies to use the O3 flag when compiling],SS_O3_OPTIMISATION="true")

	if test -n "$SS_O3_OPTIMISATION"; then
		AC_MSG_RESULT([yes])
		CXXFLAGS="$CXXFLAGS -O3"
	else
		AC_MSG_RESULT([no])
		CXXFLAGS="$CXXFLAGS -O2"
	fi

	AC_MSG_CHECKING([if you want to add other library search paths])
	SS_DO_IT="false"
	AC_ARG_WITH(other-ldirs,    [  --with-other-ldirs=...  Add the specified library paths],SS_DO_IT="$withval")
	if test "$SS_DO_IT" != "false"; then
		AC_MSG_RESULT(yes)
		SS_OTHER_LIBDIRS="$SS_DO_IT"
	else
		AC_MSG_RESULT(no)
	fi

	AC_MSG_CHECKING([if you want to add other include search paths])
	SS_DO_IT="false"
	AC_ARG_WITH(other-idirs,    [  --with-other-idirs=...  Add the specified include search paths],SS_DO_IT="$withval")
	if test "$SS_DO_IT" != "false"; then
		AC_MSG_RESULT(yes)
		SS_OTHER_INCDIRS="$SS_DO_IT"
	else
		AC_MSG_RESULT(no)
	fi


])

AC_DEFUN(AC_SS_FUNCTION_CHECKS,
[
	AC_CHECK_FUNCS(vsnprintf strerror inet_aton inet_ntoa usleep getenv uname)
])


AC_DEFUN(AC_SS_HEADER_CHECKS,
[
	AC_CHECK_HEADERS(unistd.h)
	AC_CHECK_HEADERS(linux/soundcard.h sys/soundcard.h soundcard.h)
	AC_CHECK_HEADERS(math.h strings.h jpeglib.h setjmp.h limits.h sys/utsname.h)
])

AC_DEFUN(AC_SS_LIBRARY_CHECKS,
[
	AC_CHECK_LIB(socket, socket, [LIBSOCKET="-lsocket -lnsl"])
	AC_CHECK_LIB(compat, main, [LIBCOMPAT="-lcompat"])
	AC_CHECK_LIB(smurf, sendALotOfPingsToThisHost, [LIBSMURF="-lsmurf"])
	AC_CHECK_LIB(LAMER, getLamerLevel, [LIBLAMER="-llamer"])
])

AC_DEFUN(AC_SS_FINAL_CHECK_FOR_PLUGINS,
[
	AC_MSG_CHECKING([if we finally can compile the plugins])
	if test -n "$SS_PLUGIN_REQUESTED"; then
		AC_MSG_RESULT([yes])
		if test "$SS_LINK_TO_LIBDL" = "yes"; then
			SS_FLAGS_LIBLINK="$SS_FLAGS_LIBLINK -export-dynamic -ldl"
		else
			SS_FLAGS_LIBLINK="$SS_FLAGS_LIBLINK -export-dynamic"
		fi
		SS_PLUGINS_DIRECTORY_COMPILE="plugins"
	else
		AC_MSG_RESULT([no])
		SS_PLUGINS_DIRECTORY_COMPILE=""
		if test "$SS_KDE_REQUESTED" = "yes"; then
			# Can't compile with KDE and without libdl
			AC_MSG_RESULT(["Warning : Can not compile KDE support without dlopen support"])
			AC_MSG_RESULT(["Warning : Disabling KDE support"])
			SS_KDE_REQUESTED="no"
		fi
	fi
	AC_SUBST(SS_PLUGINS_DIRECTORY_COMPILE)
])


AC_DEFUN(AC_SS_FINAL_CHECK_FOR_KDE,
[
	AC_MSG_CHECKING([if we finally have to compile the KDE support])
	if test "$SS_KDE_REQUESTED" = "yes"; then
		AC_MSG_RESULT([yes])
		SS_FLAGS_RPATH="-rpath $SS_KDE_LIBRARY_DIR $SS_FLAGS_RPATH"
		SS_FLAGS_INCDIRS="-I$SS_KDE_INCLUDE_DIR $SS_FLAGS_INCDIRS"
		SS_FLAGS_LIBDIRS="-L$SS_KDE_LIBRARY_DIR $SS_FLAGS_LIBDIRS"
		# SS_FLAGS_LIBLINK="-lkdecore -lkdeui -lkfile -lkimgio $SS_FLAGS_LIBLINK"
		SS_FLAGS_LIBLINK="-lkfile -lksycoca $SS_FLAGS_LIBLINK"
		AC_DEFINE(COMPILE_NEED_KDE)
		AC_PREFIX_DEFAULT(${KDEDIR:-/usr/local})
	else
		AC_MSG_RESULT([no])
	fi
])

AC_DEFUN(AC_SS_FINAL_CONFIG,
	[
		AC_ARG_WITH(solaris-libs, [  --with-solaris-libs     Specifies to link also to lsocket,lresolv and lnsl],SS_FLAGS_LIBLINK="$SS_FLAGS_LIBLINK -lnsl -lsocket -lresolv")
		AC_ARG_WITH(pipes, [  --with-pipes            Specifies to use pipes for compilation],SS_FLAGS_INCDIRS="-pipe $SS_FLAGS_INCDIRS")
   		AC_ARG_WITH(ignore-sigalarm, [  --with-ignore-sigalarm  Specifies to ignore SIGALARM in all threads],SS_COMPILE_IGNORE_SIGALARM="true")
		AC_ARG_WITH(own-inet-aton, [  --with-own-inet-aton    Specifies to use own inet aton implementation],SS_COMPILE_USE_OWN_INET_ATON="true")
		AC_ARG_WITH(own-inet-ntoa, [  --with-own-inet-ntoa    Specifies to use own inet ntoa implementation],SS_COMPILE_USE_OWN_INET_NTOA="true")
		AC_ARG_WITH(ipv6-support, [  --with-ipv6-support     Specifies to compile the experimental IPV6 support],SS_COMPILE_USE_IPV6="true")
		AC_ARG_WITH(pedantic-gcc, [  --with-pedantic-gcc     Specifies to compile with all the warnings enabled],SS_COMPILE_USE_PEDANTIC_GCC="true")
		AC_ARG_WITH(verbose-compilation, [  --with-verbose-compilation Specifies to add the v option to the gcc commandline],SS_VERBOSE_COMPILATION="true")
		AC_ARG_WITH(charset-translation, [  --with-charset-translation Specifies to compile the charset translation support],SS_CHARSET_TRANSLATION="true")
		# AC_ARG_WITH(static-qt, [  --with-static-qt           Specifies to link statically to the qt library],SS_LINK_STATIC_QT="true")

		AC_MSG_CHECKING([for the vaidity of the Maxwell laws on this machine])
		AC_MSG_RESULT([ok])
		AC_MSG_CHECKING([if e=mc^2])
		AC_MSG_RESULT([ok])
		AC_MSG_CHECKING([if we can safely swap on /dev/fd0])
		AC_MSG_RESULT([yes])

		# Set the useful variables

		# if test "$SS_LINK_STATIC_QT" = "true"; then
		#	SS_FLAGS_RPATH="-rpath $SS_X_LIBRARY_DIR -rpath $libdir"
		# 	SS_FLAGS_LIBLINK="libqt.a $SS_X_EXTRA_LIBS -lXext -lX11 -lpthread"
		# else

		SS_FLAGS_RPATH="-rpath $SS_QT_LIBRARY_DIR -rpath $SS_X_LIBRARY_DIR -rpath $libdir"

		if test "$SS_FREEBSD_PTHREAD" = "yes"; then
			SS_LIB_PTHREAD_FLAG="-pthread"
		else
			SS_LIB_PTHREAD_FLAG="-lpthread"
		fi

		SS_FLAGS_LIBLINK="-l$SS_QTLIB_NAME $SS_X_EXTRA_LIBS -lXext -lX11 $SS_LIB_PTHREAD_FLAG"

		# fi

	 	SS_FLAGS_INCDIRS="-I$SS_QT_INCLUDE_DIR -I$SS_X_INCLUDE_DIR -D_REENTRANT"
		SS_FLAGS_LIBDIRS="-L$SS_QT_LIBRARY_DIR -L$SS_X_LIBRARY_DIR"

		if test -n "$SS_OTHER_INCDIRS"; then
			SS_FLAGS_INCDIRS="-I$SS_OTHER_INCDIRS $SS_FLAGS_INCDIRS"
		fi

		if test -n "$SS_OTHER_LIBDIRS"; then
			SS_FLAGS_LIBDIRS="-L$SS_OTHER_LIBDIRS $SS_FLAGS_LIBDIRS"
		fi

		AC_SUBST(SS_QT_LIBRARY_DIR)
		AC_SUBST(SS_X_LIBRARY_DIR)
		AC_SUBST(SS_QT_INCLUDE_DIR)
		AC_SUBST(SS_X_INCLUDE_DIR)

		# More funky options
		if test -n "$SS_X_EXTRA_GCC_FLAGS"; then
			SS_FLAGS_INCDIRS="$SS_X_EXTRA_GCC_FLAGS $SS_FLAGS_INCDIRS"
		fi

		if test -n "$SS_X_EXTRA_LDD_FLAGS"; then
			SS_FLAGS_L="$SS_X_EXTRA_LDD_FLAGS $SS_FLAGS_LIBDIRS"
		fi

		AC_SS_FINAL_CHECK_FOR_PLUGINS
		AC_SS_FINAL_CHECK_FOR_KDE

		# Use libjpeg ?
		if test -n "$SS_HAVE_LIBJPEG"; then
			SS_FLAGS_LIBLINK="$SS_FLAGS_LIBLINK -ljpeg"
		fi

		if test -n "$SS_CHARSET_TRANSLATION"; then
			AC_DEFINE(COMPILE_NEED_CHARSET_TRANSLATION)
		fi

		if test -n "$SS_VERBOSE_COMPILATION"; then
			SS_FLAGS_INCDIRS="$SS_FLAGS_INCDIRS -v"
		fi

		if test -n "$SS_COMPILE_USE_PEDANTIC_GCC"; then
			SS_FLAGS_INCDIRS="$SS_FLAGS_INCDIRS -Wall -pedantic"
		fi

		if test -n "$SS_COMPILE_USE_IPV6"; then
			AC_DEFINE(COMPILE_NEED_IPV6)
		fi

		if test -n "$SS_COMPILE_IGNORE_SIGALARM"; then
			AC_DEFINE(COMPILE_NEED_IGNORE_SIGALARM)
		fi

		if test -n "$SS_COMPILE_USE_OWN_INET_ATON"; then
			AC_DEFINE(COMPILE_NEED_OWN_INET_ATON)
		fi

		if test -n "$SS_COMPILE_USE_OWN_INET_NTOA"; then
			AC_DEFINE(COMPILE_NEED_OWN_INET_NTOA)
		fi

		AC_ARG_WITH(i386-asm, [  --with-i386-asm         Specifies to compile x86 assembly optimisations],SS_COMPILE_i386_ASM="true")


		if test -n "$SS_COMPILE_i386_ASM"; then
			AC_MSG_CHECKING(target system CPU)
			if test "$target_cpu" = "i386"; then
				AC_MSG_RESULT(i386 : compiling asm code)
				AC_DEFINE(HAVE_i386_BASED_CPU)
			else
				if test "$target_cpu" = "i486"; then
					AC_MSG_RESULT(i486 : compiling asm code)
					AC_DEFINE(HAVE_i386_BASED_CPU)
				else
					if test "$target_cpu" = "i586"; then
						AC_MSG_RESULT(i586 : compiling asm code)
						AC_DEFINE(HAVE_i386_BASED_CPU)
					else
						if test "$target_cpu" = "i686"; then
							AC_MSG_RESULT(i686 : compiling asm code)
							AC_DEFINE(HAVE_i386_BASED_CPU)
						else
							AC_MSG_RESULT($target_cpu , no i386 optimisations)
							unset SS_COMPILE_i386_ASM
						fi
					fi
				fi
			fi
		fi

 		build_date=`date`
		AC_DEFINE_UNQUOTED(BUILD_DATE,"$build_date")

 		# Installation directories
		imagedir="\${exec_prefix}/share/kvirc/pics" 	
		msgcolordir="\${exec_prefix}/share/kvirc/msgcolors" 	
		helpdir="\${exec_prefix}/share/kvirc/help/en" 	
		configdir="\${exec_prefix}/share/kvirc/config" 	
		localedir="\${exec_prefix}/share/kvirc/locale" 	
		mandir="\${exec_prefix}/man/man1"
		globalkvircdir="\${exec_prefix}/share/kvirc"
		pluglibdir="\${exec_prefix}/share/kvirc/plugins"
		charmapsdir="\${exec_prefix}/share/kvirc/charmaps"
		if test -n "$KDEDIR"; then
			sharedir="$KDEDIR/share"
		else
			sharedir="\${exec_prefix}/share"
		fi
		topdir=`pwd`

		AC_SUBST(topdir)
		AC_SUBST(SS_FLAGS_RPATH)
		AC_SUBST(SS_FLAGS_LIBDIRS)
		AC_SUBST(SS_FLAGS_LIBLINK)
		AC_SUBST(SS_FLAGS_INCDIRS)
		AC_SUBST(charmapsdir)
		AC_SUBST(msgcolordir)
		AC_SUBST(imagedir)
		AC_SUBST(helpdir)
		AC_SUBST(configdir)
		AC_SUBST(localedir)
		AC_SUBST(globalkvircdir)
		AC_SUBST(pluglibdir)
		AC_SUBST(sharedir)
	]
)







AC_DEFUN(AC_SS_CHECK_BOOL,
[
	AC_MSG_CHECKING([for bool])
	AC_CACHE_VAL(ac_cv_have_bool,
        [
		AC_LANG_CPLUSPLUS
          	AC_TRY_COMPILE([],
                 [bool aBool = true;],
                 [ac_cv_have_bool="yes"],
                 [ac_cv_have_bool="no"])
        ])
        AC_MSG_RESULT($ac_cv_have_bool)
        if test "$ac_cv_have_bool" = "yes"; then
        	AC_DEFINE(HAVE_BOOL) 
        fi 
])

AC_DEFUN(AC_SS_CHECK_KVI_SOCKLEN_T,
[
 	AC_MSG_CHECKING(if getsockname wants socklen_t as third argument)
	AC_LANG_CPLUSPLUS
	AC_CACHE_VAL(ac_cv_kvi_socklen_t,
		[
			AC_TRY_COMPILE(
				[
					#include <sys/types.h>
					#include <sys/socket.h>
				],[
					socklen_t a=0;
					getsockname(0,(struct sockaddr*)0, &a);
				],
				ac_cv_kvi_socklen_t=socklen_t,
				ac_cv_kvi_socklen_t=)
			if test -z "$ac_cv_kvi_socklen_t"; then
 				ac_safe_cxxflags="$CXXFLAGS"
				if test "$GCC" = "yes"; then
					  CXXFLAGS="-Werror $CXXFLAGS"
				fi
				AC_TRY_COMPILE(
					[
						#include <sys/types.h>
 						#include <sys/socket.h>
					],[
						int a=0;
						getsockname(0,(struct sockaddr*)0, &a);
					],
					ac_cv_kvi_socklen_t=int,
					ac_cv_kvi_socklen_t=size_t)
				CXXFLAGS="$ac_safe_cxxflags"
			fi
		]
	)
	if test -z "$ac_cv_kvi_socklen_t"; then
		ac_cv_kvi_socklen_t=int
	fi
	AC_MSG_RESULT($ac_cv_kvi_socklen_t)
	AC_DEFINE_UNQUOTED(kvi_socklen_t, $ac_cv_kvi_socklen_t)
])
dnl # ------------------------------------------------------------------------
dnl # chck for the pthreads library.
dnl # ------------------------------------------------------------------------

AC_DEFUN(AC_SS_CHECK_PTHREAD,
	[ 
		AC_ARG_WITH(pthread-check,[  --without-pthread-check Specifies to ignore the pthread library check ],SS_IGNORE_PTHREAD_CHECK="$withval",SS_IGNORE_PTHREAD_CHECK="NOTGIVEN")

		AC_ARG_WITH(freebsd-pthread,[  --with-freebsd-pthread  Use the FreeBSD libc_r instead of libpthread  ],SS_FREEBSD_PTHREAD="yes",SS_FREEBSD_PTHREAD="no")

		if test "$SS_IGNORE_PTHREAD_CHECK" = "NOTGIVEN"; then

			if test "$SS_FREEBSD_PTHREAD" = "yes"; then

				AC_MSG_CHECKING([for a working libc_r linkage])
				AC_CACHE_VAL(ac_cv_lib_pthread,[
					ac_save_LIBS="$LIBS"
					ac_save_CFLAGS="$CFLAGS"
					if test -n "$SS_OTHER_LIBDIRS"; then
						LIBS="-L$SS_OTHER_LIBDIRS -pthread"
					else
						LIBS="-pthread"
					fi
					if test -n "$SS_OTHER_INCDIRS"; then
						CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
					fi
					AC_TRY_LINK([
						#include <pthread.h>
						],
						[pthread_exit(0);],
						eval "ac_cv_lib_pthread=-phtread",
						eval "ac_cv_lib_pthread=no"
					)
					LIBS="$ac_save_LIBS"
					CFLAGS="$ac_save_CFLAGS"
				])

				if eval "test ! \"`echo $ac_cv_lib_pthread`\" = no"; then
					AC_MSG_RESULT(Ok: seems to work...)
				else
					echo "################################################################################"
					echo "### CONFIGURE ERROR:"
					echo "### Can not find the pthread library."
					echo "### Make sure that it is correctly installed on your system,"
					echo "### and it is in your usual libs directory (such as /lib or /usr/lib)."
					echo "### This is a widely used library , so it must be visible by the compilers."
					echo "### If you feel yourself lucky, you may try to run configure by passing the"
					echo "### --without-pthread-check option: this will make configure skipt this test."
					echo "### You may also take a look at the config.log file in this directory,"
					echo "### that will tell you which check has failed and maybe more about the reason"
					echo "### of the failure."
					echo "### If you're feeling that this may be a bug in this configure script"
					echo "### and want to report this to me , please include your configure script,"
					echo "### the config.log file as well as the complete configure output."
					echo "################################################################################"
					AC_MSG_ERROR(["This was a fatal one...aborting"])
				fi
			else 
				AC_MSG_CHECKING([for libpthread])
				AC_CACHE_VAL(ac_cv_lib_pthread,[
					ac_save_LIBS="$LIBS"
					ac_save_CFLAGS="$CFLAGS"
					if test -n "$SS_OTHER_LIBDIRS"; then
						LIBS="-L$SS_OTHER_LIBDIRS -lpthread"
					else
						LIBS="-lpthread"
					fi
					if test -n "$SS_OTHER_INCDIRS"; then
						CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
					fi
					AC_TRY_LINK([
						#include <pthread.h>
						],
						[pthread_exit(0);],
						eval "ac_cv_lib_pthread=-lphtread",
						eval "ac_cv_lib_pthread=no"
					)
					LIBS="$ac_save_LIBS"
					CFLAGS="$ac_save_CFLAGS"
				])
				if eval "test ! \"`echo $ac_cv_lib_pthread`\" = no"; then
					AC_MSG_RESULT(Ok: seems to work...)
				else
					echo "################################################################################"
					echo "### CONFIGURE ERROR:"
					echo "### Can not find the pthread library."
					echo "### Make sure that it is correctly installed on your system,"
					echo "### and it is in your usual libs directory (such as /lib or /usr/lib)."
					echo "### This is a widely used library , so it must be visible by the compilers."
					echo "### If you feel yourself lucky, you may try to run configure by passing the"
					echo "### --without-pthread-check option: this will make configure skipt this test."
					echo "### You may also take a look at the config.log file in this directory,"
					echo "### that will tell you which check has failed and maybe more about the reason"
					echo "### of the failure."
					echo "### If you're feeling that this may be a bug in this configure script"
					echo "### and want to report this to me , please include your configure script,"
					echo "### the config.log file as well as the complete configure output."
					echo "################################################################################"
					AC_MSG_ERROR(["This was a fatal one...aborting"])
				fi
			fi
		else
			AC_MSG_RESULT("Trusting you...skipping the pthread library check")
		fi
	]
)

AC_DEFUN(AC_SS_FIND_KDE,
	[

		SS_KDE_REQUESTED="no"
		SS_KDE_GENERAL_DIR="none"
		SS_KDE_INCLUDE_DIR="none"
		SS_KDE_LIBRARY_DIR="none"

		AC_SS_CHECK_IF_KDE_IS_REQUESTED
		if test "$SS_KDE_REQUESTED" = "yes"; then
			AC_SS_FIND_KDE_GENERAL_DIR
			if test "$SS_KDE_REQUESTED" = "yes"; then
				AC_SS_FIND_KDE_LIBRARY_DIR
				if test "$SS_KDE_REQUESTED" = "yes"; then
					AC_SS_FIND_KDE_INCLUDE_DIR
					if test "$SS_KDE_REQUESTED" = "yes"; then
		                              AC_SS_ENSURE_CAN_COMPILE_X_QT_AND_KDE
					fi
				fi
			fi
		fi

		dnl AC_SUBST(SS_KDE_REQUESTED)
		dnl AC_SUBST(SS_KDE_GENERAL_DIR)
		dnl AC_SUBST(SS_KDE_INCLUDE_DIR)
		dnl AC_SUBST(SS_KDE_LIBRARY_DIR)
	]
)


AC_DEFUN(AC_SS_CHECK_IF_KDE_IS_REQUESTED,
	[
 		AC_MSG_CHECKING(if KDE support is requested)
  		AC_ARG_WITH(kde-support,[  --with-kde-support      Specifies to compile the KDE support ],SS_KDE_REQUESTED="yes",SS_KDE_REQUESTED="no")
		if test "$SS_KDE_REQUESTED" = "yes"; then
			AC_MSG_RESULT(yes)
		else
		    SS_KDE_REQUESTED="no"
		    AC_MSG_RESULT(no)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_KDE_GENERAL_DIR,
	[
		AC_MSG_CHECKING(for the general KDE directory)
		ss_kde_general_test_dirs="/usr /usr/local /usr /usr/local /usr/build /usr/X11R6 /opt /usr/opt /usr/lib /usr/lib /usr/src /usr/lib /usr/local/lib /"
		if test -n "$HOME"; then
			ss_kde_general_test_dirs="$ss_kde_general_test_dirs $HOME $HOME/lib"
		fi
		if test -n "$KDEDIR"; then
			ss_kde_general_test_dirs="$KDEDIR $ss_kde_general_test_dirs"
		fi
		ss_kde_general_test_path_suffix=". kde kde2.0 kde2 KDE Kde KDE2"

		AC_SS_FIND_FILE_PATH_EXT(include/kwin.h,$ss_kde_general_test_dirs,$ss_kde_general_test_path_suffix,SS_KDE_GENERAL_DIR)

		if test "$SS_KDE_GENERAL_DIR" = "FAILED"; then
			AC_MSG_RESULT(failed...continuing with normal checks)
			unset SS_KDE_GENERAL_DIR
		else
			AC_MSG_RESULT(Seems to be $SS_KDE_GENERAL_DIR)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_KDE_INCLUDE_DIR,
	[
		AC_ARG_WITH(kde-include-dir,[  --with-kde-include-dir  path to the KDE headers ],SS_KDE_INCLUDE_DIR="$withval",SS_KDE_INCLUDE_DIR="NOTGIVEN")
		if test "$SS_KDE_INCLUDE_DIR" = "NOTGIVEN"; then

			AC_MSG_CHECKING(for KDE header files)

			ss_kde_include_test_dirs="/include /usr/include /usr/local/include /usr/kde/include /usr/local/kde/include /usr/X11R6/include /opt/kde/include /usr/lib/kde/include /usr/lib/kde /usr/include/X11"
			test -n "$KDEDIR" && ss_kde_include_test_dirs="$KDEDIR/include $KDEDIR $ss_kde_include_test_dirs"
			ss_kde_include_test_dirs="$ss_kde_include_test_dirs /usr/include/kde /usr/local/include/kde /include/kde /usr/X11R6/include/kde /usr/build/kde/include"
			ss_kde_include_test_dirs="$ss_kde_include_test_dirs /usr/include/kde2 /usr/local/include/kde2 /include/kde2 /usr/X11R6/include/kde2 /usr/include/X11/kde2"
			test -n "$SS_KDE_GENERAL_DIR" && ss_kde_include_test_dirs="$SS_KDE_GENERAL_DIR/include $ss_kde_include_test_dirs"

			AC_SS_FIND_FILE_PATH(kwin.h,$ss_kde_include_test_dirs,SS_KDE_INCLUDE_DIR)

			if test "$SS_KDE_INCLUDE_DIR" = "FAILED"; then
				AC_MSG_RESULT("FAILED")
				SS_KDE_REQUESTED="no"
			else
				AC_MSG_RESULT(found in $SS_KDE_INCLUDE_DIR)
			fi

		else
			AC_MSG_RESULT(using user supplied path for the KDE include files $SS_KDE_INCLUDE_DIR)
			AC_SUBST(SS_KDE_INCLUDE_DIR)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_KDE_LIBRARY_DIR,
	[
		AC_ARG_WITH(kde-library-dir,[  --with-kde-library-dir  path to the KDE libraries ],SS_KDE_LIBRARY_DIR="$withval",SS_KDE_LIBRARY_DIR="NOTGIVEN")
		if test "$SS_KDE_LIBRARY_DIR" = "NOTGIVEN"; then
			AC_MSG_CHECKING(for the KDE library)

			ss_kde_library_test_dirs="/lib /usr/lib /usr/local/lib /usr/kde/lib /opt/kde/lib /opt/lib /usr/opt/kde/lib /usr/local/kde/lib /usr/X11R6/lib /usr/lib/kde/lib /usr/lib/kde /usr/local/lib/kde/lib"
			test -n "$KDEDIR" && ss_kde_library_test_dirs="$KDEDIR/lib $KDEDIR $ss_kde_library_test_dirs"
			ss_kde_library_test_dirs="$ss_kde_library_test_dirs /usr/local/lib/kde /usr/X11R6/lib/kde /usr/build/kde/lib"
			if test -n "$SS_KDE_GENERAL_DIR"; then
				ss_kde_library_test_dirs="$SS_KDE_GENERAL_DIR/lib $ss_kde_library_test_dirs"
			fi

			AC_SS_FIND_FILE_PATH(libkdecore.so.3.0.0 libkdecore.so.3.0 libkdecore.a libkdecore.so,$ss_kde_library_test_dirs,SS_KDE_LIBRARY_DIR)

			if test "$SS_KDE_LIBRARY_DIR" = "FAILED"; then
				AC_MSG_RESULT("FAILED")
				SS_KDE_REQUESTED="no"

			else
				AC_MSG_RESULT(found in $SS_KDE_LIBRARY_DIR)
			fi
		else
			AC_MSG_RESULT(using user supplied path for the KDE libraries $SS_KDE_LIBRARY_DIR)
			AC_SUBST(SS_KDE_LIBRARY_DIR)
		fi
	]
)


AC_DEFUN(AC_SS_ENSURE_CAN_COMPILE_X_QT_AND_KDE,
	[
		AC_ARG_WITH(kde-check,[  --without-kde-check     Do not check if Qt,KDE and X compile ],SS_CHECK_QTX_COMPILE="$withval",SS_CHECK_KQTX_COMPILE="yes")
  		if test "$SS_CHECK_KQTX_COMPILE" = "yes"; then
			AC_MSG_CHECKING(if we can compile an X-Qt-KDE application)
			AC_LANG_CPLUSPLUS
			ss_save_CPPFLAGS="$CPPFLAGS"
			ss_save_CXXFLAGS="$CXXFLAGS"
			ss_save_LDFLAGS="$LDFLAGS"
			ss_save_LIBS="$LIBS"
			CPPFLAGS="-I$SS_X_INCLUDE_DIR -I$SS_QT_INCLUDE_DIR -I$SS_KDE_INCLUDE_DIR $CPPFLAGS $X_CFLAGS"
			if test -n "$SS_OTHER_INCDIRS"; then
				CPPFLAGS="-I$SS_OTHER_INCDIRS $CPPFLAGS"
			fi
			CXXFLAGS="-O2 -Wall -g $CXXFLAGS"
			LIBS="-L$SS_KDE_LIBRARY_DIR -L$SS_X_LIBRARY_DIR -L$SS_QT_LIBRARY_DIR $X_ $X_EXTRA_LIBS $X_LIBS $LIBS -lkfile -lksycoca -l$SS_QTLIB_NAME -lXext -lX11 -ldl -Wl,-rpath $SS_KDE_LIBRARY_DIR"
			if test -n "$SS_OTHER_LIBDIRS"; then
				LIBS="-L$SS_OTHER_LIBDIRS $LIBS"
			fi
			LDFLAGS="-s $LDFLAGS"
			AC_TRY_LINK([
					#include "kapp.h"
					#include "kwin.h"
				],[
					int a = KWin::currentDesktop();
					KApplication app(a,0,"kvirc");
				],
				SS_KQTX_LINKED_OK="TRUE",
				SS_KQTX_LINKED_OK="FALSE"
			)
			if test "$SS_KQTX_LINKED_OK" = "FALSE"; then
				SS_KDE_REQUESTED="no"
				AC_MSG_RESULT(failed)
			else
				AC_MSG_RESULT(success)
			fi
			LIBS="$ss_save_LIBS"
			LDFLAGS="$ss_save_LDFLAGS"
			CXXFLAGS="$ss_save_CXXFLAGS"
			CPPFLAGS="$ss_save_CPPFLAGS"
		fi
	]
)



AC_DEFUN(AC_SS_CHECK_IF_PLUGIN_SUPPORT_IS_REQUESTED,
	[
 		AC_MSG_CHECKING(if plugin support is requested)
  		AC_ARG_WITH(plugin-support,[  --without-plugin-support Specifies to do not compile the plugin support ],SS_PLUGIN_REQUESTED="$withval",SS_PLUGIN_REQUESTED="yes")
		if test "$SS_PLUGIN_REQUESTED" = "yes"; then
			AC_MSG_RESULT(yes)
		else
		    SS_PLUGIN_REQUESTED="no"
		    AC_MSG_RESULT(no)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_DL,
[
	AC_SS_CHECK_IF_PLUGIN_SUPPORT_IS_REQUESTED
	if test "$SS_PLUGIN_REQUESTED" = "yes"; then
		AC_MSG_CHECKING(["for dlopen capabilities..."])
	
		SS_LINK_TO_LIBDL="no"
	
		SS_SAVE_LIBS="$LIBS"
		LIBS="-rdynamic"
		SS_SAVE_CFLAGS="$CFLAGS";
		if test -n "$SS_OTHER_INCDIRS"; then
			CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
		fi
		AC_TRY_LINK([
				#include <dlfcn.h>
			],[
				dlopen("/lib/libc.so.6",RTLD_NOW);
			],
				eval "SS_DLOPEN_OK=yes"
			,
				eval "SS_DLOPEN_OK=no"
			)
		LIBS="$SS_SAVE_LIBS"
		CFLAGS="$SS_SAVE_CFLAGS"
		if test "$SS_DLOPEN_OK" = "yes"; then
			AC_MSG_RESULT("builtin in libc")
			AC_DEFINE_UNQUOTED(HAVE_LIBDL)
		else
	
			SS_SAVE_LIBS="$LIBS"
			SS_SAVE_CFLAGS="$CFLAGS";
			if test -n "$SS_OTHER_LIBDIRS"; then
				LIBS="-L$SS_OTHER_LIBDIRS -rdynamic -ldl"
			else
				LIBS="-rdynamic -ldl"
			fi
			if test -n "$SS_OTHER_INCDIRS"; then
				CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
			fi
			AC_TRY_LINK([
					#include <dlfcn.h>
				],
					[dlopen("/usr/lib/libdl.so",RTLD_NOW);]
				,
					eval "SS_DLOPEN_OK=yes",
					eval "SS_DLOPEN_OK=no"
				)
			LIBS="$SS_SAVE_LIBS"
			CFLAGS="$SS_SAVE_CFLAGS"
			if test "$SS_DLOPEN_OK" = "yes"; then
				SS_LINK_TO_LIBDL="yes"
				AC_MSG_RESULT("external in libdl")
				AC_DEFINE_UNQUOTED(HAVE_LIBDL)
			else
				AC_MSG_RESULT(["no dlopen capabilities"])
				SS_PLUGIN_REQUESTED="no";
			fi
		fi
	fi
])

dnl # ------------------------------------------------------------------------
dnl # Find a file path(list of files,list of dirs,variable)
dnl # Searches for one of the files in the directories specified
dnl # Sets the veriable to "FAILED" or to the path where the file was found
dnl # ------------------------------------------------------------------------

AC_DEFUN(AC_SS_FIND_FILE_PATH,
	[
		$3="FAILED"
		for a_dir in $2; do
			for a_file in $1; do
				if test -r "$a_dir/$a_file"; then
					$3=$a_dir
					break 2
				fi
			done
		done	
	]
)

AC_DEFUN(AC_SS_FIND_FILE_PATH_EXT,
	[
		$4="FAILED"

		for a_dir in $2; do
			for a_semidir in $3; do
				for a_file in $1; do
					if test -r "$a_dir/$a_semidir/$a_file"; then
						$4="$a_dir/$a_semidir"
						break 3
					fi
				done
			done
		done
	]
)

AC_DEFUN(AC_SS_FIND_QT,
	[
		AC_SS_CHECK_QT_NAME
		AC_SS_FIND_QT_GENERAL_DIR
		AC_SS_FIND_QT_LIBRARY_DIR
		AC_SS_FIND_QT_INCLUDE_DIR
		AC_SS_FIND_QT_MOC
		AC_SS_ENSURE_CAN_COMPILE_X_AND_QT
	]
)

AC_DEFUN(AC_SS_CHECK_QT_NAME,
	[
		SS_QTLIB_NAME="qt"
		AC_MSG_CHECKING(for the Qt library name)
		AC_ARG_WITH(qt-name,[  --with-qt-name=NAME     Use NAME instead of qt for the Qt lib ],SS_QTLIB_NAME="$withval",SS_QTLIB_NAME="qt")
		AC_MSG_RESULT("$SS_QTLIB_NAME")
	]
)

AC_DEFUN(AC_SS_FIND_QT_GENERAL_DIR,
	[
		AC_MSG_CHECKING(for the general Qt directory)
		ss_qt_general_test_dirs="/usr/local /usr /usr/build /usr/X11R6 /usr/lib /usr/src /usr/local/lib /"
		ss_qt_general_test_dirs="$ss_qt_general_test_dirs /opt/kde /kde /usr/kde /usr/local/kde /usr/opt/kde"
		if test -n "$HOME"; then
			ss_qt_general_test_dirs="$ss_qt_general_test_dirs $HOME $HOME/lib"
		fi
		if test -n "$QTDIR"; then
			ss_qt_general_test_dirs="$QTDIR $ss_qt_general_test_dirs"
		fi

		ss_qt_general_test_path_suffix=". qt2.23 qt2.2 qt.2.2 qt-22 qt-2.2 qt-2.2 qt-2.2.0 qt-2.2.3 qt-2.2.3 qt2 qt-2 qt.2 qt"

		AC_SS_FIND_FILE_PATH_EXT(include/qinputdialog.h,$ss_qt_general_test_dirs,$ss_qt_general_test_path_suffix,SS_QT_GENERAL_DIR)

		if test "$SS_QT_GENERAL_DIR" = "FAILED"; then
			AC_MSG_RESULT(failed...continuing with normal checks)
			unset SS_QT_GENERAL_DIR
		else
			AC_MSG_RESULT(Seems to be $SS_QT_GENERAL_DIR)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_QT_INCLUDE_DIR,
	[
		AC_ARG_WITH(qt-include-dir,[  --with-qt-include-dir   path to the Qt headers ],SS_QT_INCLUDE_DIR="$withval",SS_QT_INCLUDE_DIR="NOTGIVEN")
		if test "$SS_QT_INCLUDE_DIR" = "NOTGIVEN"; then

			AC_MSG_CHECKING(for Qt header files)

			ss_qt_include_test_dirs="$SS_QT_GENERAL_DIR/include /include /usr/include /usr/local/include /usr/qt/include /usr/local/qt/include /usr/X11R6/include /usr/lib/qt/include /usr/lib/qt /usr/include/X11"
			test -n "$QTDIR" && ss_qt_include_test_dirs="$QTDIR/include $QTDIR $ss_qt_include_test_dirs"
			ss_qt_include_test_dirs="$ss_qt_include_test_dirs /usr/include/qt /usr/local/include/qt /include/qt /usr/X11R6/include/qt /usr/build/qt/include"
			ss_qt_include_test_dirs="$ss_qt_include_test_dirs /usr/include/qt2 /usr/local/include/qt2 /include/qt2 /usr/X11R6/include/qt2 /usr/include/X11/qt2"
			test -n "$SS_QT_GENERAL_DIR" && ss_qt_include_test_dirs="$SS_QT_GENERAL_DIR/include $ss_qt_include_test_dirs"

			AC_SS_FIND_FILE_PATH(qiconview.h,$ss_qt_include_test_dirs,SS_QT_INCLUDE_DIR)

			if test "$SS_QT_INCLUDE_DIR" = "FAILED"; then
				AC_MSG_RESULT("FAILED")
				echo "################################################################################"
				echo "### CONFIGURE ERROR:"
				echo "### Can not find the qt 2.2.3 header files."
				echo "### Make sure that qt is correctly installed on your system,"
				echo "### and the qt version is the one requested by this version of kvirc."
				echo "### Try to run configure again, this time passing the --with-qt-include-dir"
				echo "### option (see ./configure --help)."
				echo "### You may also take a look at the config.log file in this directory,"
				echo "### that will tell you which check has failed and maybe more about the reason"
				echo "### of the failure."
				echo "### If you're feeling that this may be a bug in this configure script"
				echo "### and want to report this to me , please include your configure script,"
				echo "### the config.log file as well as the complete configure output."
				echo "################################################################################"
				AC_MSG_ERROR(["This was a fatal one...aborting"])
			else
				AC_MSG_RESULT(found in $SS_QT_INCLUDE_DIR)
				dnl AC_SUBST(SS_QT_INCLUDE_DIR)
			fi

		else
			AC_MSG_RESULT(using user supplied path for the Qt include files $SS_QT_INCLUDE_DIR)
			dnl AC_SUBST(SS_QT_INCLUDE_DIR)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_QT_LIBRARY_DIR,
	[
		AC_ARG_WITH(qt-library-dir,[  --with-qt-library-dir   path to the Qt library ],SS_QT_LIBRARY_DIR="$withval",SS_QT_LIBRARY_DIR="NOTGIVEN")
		if test "$SS_QT_LIBRARY_DIR" = "NOTGIVEN"; then
			AC_MSG_CHECKING(for the Qt library)

			ss_qt_library_test_dirs="$SS_QT_GENERAL_DIR/lib /lib /usr/lib /usr/local/lib /usr/qt/lib /usr/local/qt/lib /usr/X11R6/lib /usr/lib/qt/lib /usr/lib/qt /usr/local/lib/qt/lib"
			test -n "$QTDIR" && ss_qt_library_test_dirs="$QTDIR/lib $QTDIR $ss_qt_library_test_dirs"
			ss_qt_library_test_dirs="$ss_qt_library_test_dirs /usr/local/lib/qt /usr/X11R6/lib/qt /usr/build/qt/lib"
			if test -n "$SS_QT_GENERAL_DIR"; then
				ss_qt_library_test_dirs="$SS_QT_GENERAL_DIR/lib $ss_qt_library_test_dirs"
			fi

			AC_SS_FIND_FILE_PATH(libqt.so.2.2.3 libqt.so.2.2 libqt.so.2 libqt.a libqt.so,$ss_qt_library_test_dirs,SS_QT_LIBRARY_DIR)

			if test "$SS_QT_LIBRARY_DIR" = "FAILED"; then
				AC_MSG_RESULT("FAILED")
				echo "################################################################################"
				echo "### CONFIGURE ERROR:"
				echo "### Can not find the qt 2.2.3 library file."
				echo "### Make sure that qt is correctly installed on your system,"
				echo "### and the qt version is the one requested by this version of kvirc."
				echo "### Try to run configure again, this time passing the --with-qt-library-dir"
				echo "### option (see ./configure --help)."
				echo "### You may also take a look at the config.log file in this directory,"
				echo "### that will tell you which check has failed and maybe more about the reason"
				echo "### of the failure."
				echo "### If you're feeling that this may be a bug in this configure script"
				echo "### and want to report this to me , please include your configure script,"
				echo "### the config.log file as well as the complete configure output."
				echo "################################################################################"
				AC_MSG_ERROR(["This was a fatal one...aborting"])
			else
				AC_MSG_RESULT(found in $SS_QT_LIBRARY_DIR)
				dnl AC_SUBST(SS_QT_LIBRARY_DIR)
			fi
		else
			AC_MSG_RESULT(using user supplied path for the Qt library $SS_QT_LIBRARY_DIR)
			dnl AC_SUBST(SS_QT_LIBRARY_DIR)
		fi
	]
)


AC_DEFUN(AC_SS_FIND_QT_MOC,
	[	
		AC_ARG_WITH(qt-moc,[  --with-qt-moc           filename of the Qt meta object compiler ],SS_QT_MOC="$withval",SS_QT_MOC="NOTGIVEN")
	 	if test "$SS_QT_MOC" = "NOTGIVEN"; then
	 		unset SS_QT_MOC
			if test -n "$SS_QT_GENERAL_DIR"; then
		 		AC_PATH_PROG(SS_QT_MOC,moc,"FAILED",$SS_QT_GENERAL_DIR/bin:$QTDIR/bin:$PATH:/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin:/usr/lib/qt/bin:/usr/local/qt/bin:/usr/X11R6/qt/bin:/usr/qt/bin:/usr/build/qt/bin)
			else
		 		AC_PATH_PROG(SS_QT_MOC,moc,"FAILED",$QTDIR/bin:$PATH:/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin:/usr/lib/qt/bin:/usr/local/qt/bin:/usr/X11R6/qt/bin:/usr/qt/bin:/usr/build/qt/bin)
			fi

			if test "$SS_QT_MOC" = "FAILED"; then
				AC_MSG_RESULT(["FAILED"])
				echo "################################################################################"
				echo "### CONFIGURE ERROR:"
				echo "### The Qt meta object compiler can not be found."
				echo "### Make sure that qt is correctly installed on your system,"
				echo "### and the qt version is the one requested by this version of kvirc."
				echo "### Try to run configure again, this time passing the --with-qt-moc"
				echo "### option (see ./configure --help)."
				echo "### You may also take a look at the config.log file in this directory,"
				echo "### that will tell you which check has failed and maybe more about the reason"
				echo "### of the failure."
				echo "### If you're feeling that this may be a bug in this configure script"
				echo "### and want to report this to me , please include your configure script,"
				echo "### the config.log file as well as the complete configure output."
				echo "################################################################################"
				AC_MSG_ERROR(["This was a fatal one...aborting"])
			fi
		else
			AC_MSG_RESULT(using user supplied path for moc $SS_QT_MOC)
			dnl AC_SUBST(SS_QT_MOC)
	 	fi
	]
)


AC_DEFUN(AC_SS_ENSURE_CAN_COMPILE_X_AND_QT,
	[
		AC_ARG_WITH(qt-check,[  --without-qt-check      Do not check if Qt and X compile ],SS_CHECK_QTX_COMPILE="$withval",SS_CHECK_QTX_COMPILE="yes")
  		if test "$SS_CHECK_QTX_COMPILE" = "yes"; then
			AC_MSG_CHECKING(if we can compile an X-Qt application)
			AC_LANG_CPLUSPLUS
			ss_save_CPPFLAGS="$CPPFLAGS"
			ss_save_CXXFLAGS="$CXXFLAGS"
			ss_save_LDFLAGS="$LDFLAGS"
			ss_save_LIBS="$LIBS"
			CPPFLAGS="-I$SS_X_INCLUDE_DIR -I$SS_QT_INCLUDE_DIR $CPPFLAGS $X_CFLAGS"
			if test -n "$SS_X_INCLUDE_DIR"; then
				CPPFLAGS="-I$SS_X_INCLUDE_DIR $CPPFLAGS"
			fi
			if test -n "$SS_OTHER_INCDIRS"; then
				CPPFLAGS="-I$SS_OTHER_INCDIRS $CPPFLAGS"
			fi
			CXXFLAGS="-O2 -Wall -g $CXXFLAGS"
			LIBS="-L$SS_X_LIBRARY_DIR -L$SS_QT_LIBRARY_DIR $X_EXTRA_LIBS $X_LIBS $LIBS -l$SS_QTLIB_NAME -lXext -lX11"
			if test -n "$SS_OTHER_LIBDIRS"; then
				LIBS="-L$SS_OTHER_LIBDIRS $LIBS"
			fi
			LDFLAGS="-s $LDFLAGS"
			AC_TRY_LINK([#include <qwindowsstyle.h>],[ QWindowsStyle s; s.polish((QWidget *)0);],SS_QTX_LINKED_OK="TRUE",SS_QTX_LINKED_OK="FALSE")
			if test "$SS_QTX_LINKED_OK" = "FALSE"; then
				AC_MSG_RESULT("FAILED");
				echo "################################################################################"
				echo "### CONFIGURE ERROR:"
				echo "### Failed to compile the Qt library test program."
				echo "### This may be a bad sign :)"
				echo "### First of all, make sure that qt is correctly installed on your system,"
				echo "### and the qt version is the one requested by this version of kvirc."
				echo "### Ensure that you have only one copy of qt visible at a time."
				echo "### You may also take a look at the config.log file in this directory,"
				echo "### that will tell you which check has failed and maybe more about the reason"
				echo "### of the failure."
				echo "### The CPPFLAGS used were:"
				for a_flag in $CPPFLAGS ; do
					echo "###   $a_flag"
				done
				echo "### The CXXFLAGS used were:"
				for a_flag in $CXXFLAGS ; do
					echo "###   $a_flag"
				done
				echo "### The LIBS used were:"
				for a_flag in $LIBS ; do
					echo "###   $a_flag"
				done
				echo "### The LDFLAGS used were:"
				for a_flag in $LDFLAGS ; do
					echo "###   $a_flag"
				done
				echo "### If you're sure that qt is correctly installed , you may force configure"
				echo "### to skip this check and try to compile kvirc anyway."
				echo "### Try using the --without-qt-check option."
				echo "### If you're feeling that this may be a bug in this configure script"
				echo "### and want to report this to me , please include your configure script,"
				echo "### the config.log file as well as the complete configure output."
				echo "################################################################################"
				AC_MSG_ERROR(["This was a fatal one...aborting"])
			fi
			LIBS="$ss_save_LIBS"
			LDFLAGS="$ss_save_LDFLAGS"
			CXXFLAGS="$ss_save_CXXFLAGS"
			CPPFLAGS="$ss_save_CPPFLAGS"
			AC_MSG_RESULT(success)
		fi
	]
)
dnl #-------------------------------------------------------------------------
dnl # Find the X libraries and includes
dnl # sets:SS_X_INCLUDE_DIR, SS_X_LIBRARY_DIR
dnl # sets:SS_X_EXTRA_GCC_FLAGS, SS_X_EXTRA_LDD_FLAGS
dnl #-------------------------------------------------------------------------

AC_DEFUN(AC_SS_FIND_X,
	[
		AC_PATH_XTRA
		if test -n "$no_x"; then
			echo "################################################################################"
			echo "### CONFIGURE ERROR:"
			echo "### Can not find the X libraries."
			echo "### Make sure that X is installed on your system and try to run configure again,"
			echo "### this time passing the ---x-includes and --x-libraries options."
			echo "### You may also take a look at the config.log file in this directory,"
			echo "### that will tell you which checks have failed and maybe more about the"
			echo "### reason of the failure."
			echo "################################################################################"
			AC_MSG_ERROR(["This was a fatal one...aborting"])
		else
			# Set the X include and lib dir
 			SS_X_INCLUDE_DIR="$x_includes"
			SS_X_LIBRARY_DIR="$x_libraries"

			# Add any extra libs needed
			SS_X_EXTRA_LDD_FLAGS="$X_EXTRA_LIBS"
			for a_flag in "$X_LIBS"; do
				if test "$a_flag" != "-L$x_libraries"; then
					SS_X_EXTRA_LDD_FLAGS="$SS_X_EXTRA_LDD_FLAGS $a_flag"
				fi
			done

			# Add any extra gcc flags
			SS_X_EXTRA_GCC_FLAGS=""
			for a_flag in "$X_CFLAGS"; do
				if test "$a_flag" != "-I$x_includes"; then
					SS_X_EXTRA_GCC_FLAGS="$SS_X_EXTRA_GCC_FLAGS $a_flag"
				fi
			done	
			
			dnl AC_SUBST(SS_X_INCLUDE_DIR)
			dnl AC_SUBST(SS_X_LIBRARY_DIR)
			dnl AC_SUBST(SS_X_EXTRA_GCC_FLAGS)
			dnl AC_SUBST(SS_X_EXTRA_LDD_FLAGS)
		fi
	]
)

AC_DEFUN(AC_SS_CHECK_IF_JPEG_SUPPORT_IS_REQUESTED,
	[

 		AC_MSG_CHECKING(if Jpeg support is requested)
  		AC_ARG_WITH(jpeg-support,[  --without-jpeg-support  Specifies to do not compile the jpeg support ],SS_JPEG_REQUESTED="$withval",SS_JPEG_REQUESTED="yes")
		if test "$SS_JPEG_REQUESTED" = "yes"; then
			AC_MSG_RESULT(yes)
		else
		    SS_JPEG_REQUESTED="no"
		    AC_MSG_RESULT(no)
		fi
	]
)

AC_DEFUN(AC_SS_FIND_JPEG,
	[
		AC_SS_CHECK_IF_JPEG_SUPPORT_IS_REQUESTED
		if test "$SS_JPEG_REQUESTED" = "yes"; then
			AC_MSG_CHECKING([for jpeglib])
			AC_CACHE_VAL(ac_cv_lib_jpeg,[
				ac_save_LIBS="$LIBS"
				ac_save_CFLAGS="$CFLAGS"
				if test -n "$SS_OTHER_INCDIRS"; then
					CFLAGS="-I$SS_OTHER_INCDIRS $CFLAGS"
				fi
				if test -n "$SS_OTHER_LIBDIRS"; then
					LIBS="-L$SS_OTHER_LIBDIRS -ljpeg"
				else
					LIBS="-ljpeg"
				fi

				AC_TRY_LINK([ /*Override internal prototypes*/
					struct jpeg_decompress_struct;
					typedef struct jpeg_decompress_struct * j_decompress_ptr;
					typedef int size_t;
					#ifdef __cplusplus
					extern "C" {
					#endif
						void jpeg_CreateDecompress(j_decompress_ptr cinfo,int version,size_t struct_size);
					#ifdef __cplusplus
					}
					#endif
					],
					[jpeg_CreateDecompress(0,0,0);],
					eval "ac_cv_lib_jpeg=-ljpeg",
					eval "ac_cv_lib_jpeg=no"
				)
				LIBS="$ac_save_LIBS"
				CFLAGS="$ac_save_CFLAGS"
			])
			if eval "test ! \"`echo $ac_cv_lib_jpeg`\" = no"; then
				SS_HAVE_LIBJPEG="yes"
				dnl AC_SUBST(SS_HAVE_LIBJPEG)
				AC_MSG_RESULT(Ok: seems to work...)
				AC_DEFINE_UNQUOTED(HAVE_LIBJPEG)
			else
				AC_MSG_RESULT(Not found...)
			fi
		fi
	])

# serial 24 AM_PROG_LIBTOOL
AC_DEFUN(AM_PROG_LIBTOOL,
[AC_REQUIRE([AM_ENABLE_SHARED])dnl
AC_REQUIRE([AM_ENABLE_STATIC])dnl
AC_REQUIRE([AC_CANONICAL_HOST])dnl
AC_REQUIRE([AC_PROG_RANLIB])dnl
AC_REQUIRE([AC_PROG_CC])dnl
AC_REQUIRE([AM_PROG_LD])dnl
AC_REQUIRE([AM_PROG_NM])dnl
AC_REQUIRE([AC_PROG_LN_S])dnl
dnl
# Always use our own libtool.
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
AC_SUBST(LIBTOOL)dnl

# Check for any special flags to pass to ltconfig.
libtool_flags=
test "$enable_shared" = no && libtool_flags="$libtool_flags --disable-shared"
test "$enable_static" = no && libtool_flags="$libtool_flags --disable-static"
test "$silent" = yes && libtool_flags="$libtool_flags --silent"
test "$ac_cv_prog_gcc" = yes && libtool_flags="$libtool_flags --with-gcc"
test "$ac_cv_prog_gnu_ld" = yes && libtool_flags="$libtool_flags --with-gnu-ld"

# Some flags need to be propagated to the compiler or linker for good
# libtool support.
case "$host" in
*-*-irix6*)
  # Find out which ABI we are using.
  echo '[#]line __oline__ "configure"' > conftest.$ac_ext
  if AC_TRY_EVAL(ac_compile); then
    case "`/usr/bin/file conftest.o`" in
    *32-bit*)
      LD="${LD-ld} -32"
      ;;
    *N32*)
      LD="${LD-ld} -n32"
      ;;
    *64-bit*)
      LD="${LD-ld} -64"
      ;;
    esac
  fi
  rm -rf conftest*
  ;;

*-*-sco3.2v5*)
  # On SCO OpenServer 5, we need -belf to get full-featured binaries.
  CFLAGS="$CFLAGS -belf"
  ;;
esac

# Actually configure libtool.  ac_aux_dir is where install-sh is found.
CC="$CC" CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" \
LD="$LD" NM="$NM" RANLIB="$RANLIB" LN_S="$LN_S" \
${CONFIG_SHELL-/bin/sh} $ac_aux_dir/ltconfig \
$libtool_flags --no-verify $ac_aux_dir/ltmain.sh $host \
|| AC_MSG_ERROR([libtool configure failed])
])

# AM_ENABLE_SHARED - implement the --enable-shared flag
# Usage: AM_ENABLE_SHARED[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AM_ENABLE_SHARED_EX,
[define([AM_ENABLE_SHARED_DEFAULT], ifelse($1, no, no, yes))dnl
AC_PROVIDE(AM_ENABLE_SHARED)
AC_ARG_ENABLE(shared,
changequote(<<, >>)dnl
<<  --enable-shared         build shared libraries [default=>>AM_ENABLE_SHARED_DEFAULT]
changequote([, ])dnl
[  --enable-shared=PKGS    only build shared libraries if the current package
                          appears as an element in the PKGS list],
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_shared=yes ;;
no) enable_shared=no ;;
*)
  enable_shared=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_shared=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_shared=AM_ENABLE_SHARED_DEFAULT)dnl
])

AC_DEFUN(AM_ENABLE_SHARED,
[define([AM_ENABLE_SHARED_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(shared,
changequote(<<, >>)dnl
<<  --enable-shared         build shared libraries [default=>>AM_ENABLE_SHARED_DEFAULT],
changequote([, ])dnl
[
if test "$enableval" = no; then
  enable_shared=no
else
  enable_shared=yes
fi
],
enable_shared=AM_ENABLE_SHARED_DEFAULT)dnl
])


# AM_DISABLE_SHARED - set the default shared flag to --disable-shared
AC_DEFUN(AM_DISABLE_SHARED,
[AM_ENABLE_SHARED(no)])

# AM_DISABLE_STATIC - set the default static flag to --disable-static
AC_DEFUN(AM_DISABLE_STATIC,
[AM_ENABLE_STATIC(no)])

# AM_ENABLE_STATIC - implement the --enable-static flag
# Usage: AM_ENABLE_STATIC[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AM_ENABLE_STATIC_EX,
[define([AM_ENABLE_STATIC_DEFAULT], ifelse($1, no, no, yes))dnl
AC_PROVIDE(AM_ENABLE_STATIC)
AC_ARG_ENABLE(static,
changequote(<<, >>)dnl
<<  --enable-static         build static libraries [default=>>AM_ENABLE_STATIC_DEFAULT]
changequote([, ])dnl
[  --enable-static=PKGS    only build shared libraries if the current package
                          appears as an element in the PKGS list],
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_static=yes ;;
no) enable_static=no ;;
*)
  enable_static=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_static=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_static=AM_ENABLE_STATIC_DEFAULT)dnl
])

AC_DEFUN(AM_ENABLE_STATIC,
[define([AM_ENABLE_STATIC_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(static,
changequote(<<, >>)dnl
<<  --enable-static         build static libraries [default=>>AM_ENABLE_STATIC_DEFAULT],
changequote([, ])dnl
[if test "$enableval" = no; then
  enable_static=no
else
  enable_static=yes
fi],
enable_static=AM_ENABLE_STATIC_DEFAULT)dnl
])

AC_DEFUN(AM_DISABLE_LIBRARIES,
[
AC_PROVIDE([AM_ENABLE_STATIC])
AC_PROVIDE([AM_ENABLE_SHARED])
enable_static=no
enable_shared=no
])

# AM_PROG_LD - find the path to the GNU or non-GNU linker
AC_DEFUN(AM_PROG_LD,
[AC_ARG_WITH(gnu-ld,
[  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]],
test "$withval" = no || with_gnu_ld=yes, with_gnu_ld=no)
AC_REQUIRE([AC_PROG_CC])
ac_prog=ld
if test "$ac_cv_prog_gcc" = yes; then
  # Check if gcc -print-prog-name=ld gives a path.
  AC_MSG_CHECKING([for ld used by GCC])
  ac_prog=`($CC -print-prog-name=ld) 2>&5`
  case "$ac_prog" in
  # Accept absolute paths.
  /* | [A-Za-z]:\\*)
    test -z "$LD" && LD="$ac_prog"
    ;;
  "")
    # If it fails, then pretend we aren't using GCC.
    ac_prog=ld
    ;;
  *)
    # If it is relative, then search for the first ld in PATH.
    with_gnu_ld=unknown
    ;;
  esac
elif test "$with_gnu_ld" = yes; then
  AC_MSG_CHECKING([for GNU ld])
else
  AC_MSG_CHECKING([for non-GNU ld])
fi
AC_CACHE_VAL(ac_cv_path_LD,
[if test -z "$LD"; then
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f "$ac_dir/$ac_prog"; then
      ac_cv_path_LD="$ac_dir/$ac_prog"
      # Check to see if the program is GNU ld.  I'd rather use --version,
      # but apparently some GNU ld's only accept -v.
      # Break only if it was the GNU/non-GNU ld that we prefer.
      if "$ac_cv_path_LD" -v 2>&1 < /dev/null | egrep '(GNU|with BFD)' > /dev/null; then
	test "$with_gnu_ld" != no && break
      else
        test "$with_gnu_ld" != yes && break
      fi
    fi
  done
  IFS="$ac_save_ifs"
else
  ac_cv_path_LD="$LD" # Let the user override the test with a path.
fi])
LD="$ac_cv_path_LD"
if test -n "$LD"; then
  AC_MSG_RESULT($LD)
else
  AC_MSG_RESULT(no)
fi
test -z "$LD" && AC_MSG_ERROR([no acceptable ld found in \$PATH])
AC_SUBST(LD)
AM_PROG_LD_GNU
])

AC_DEFUN(AM_PROG_LD_GNU,
[AC_CACHE_CHECK([if the linker ($LD) is GNU ld], ac_cv_prog_gnu_ld,
[# I'd rather use --version here, but apparently some GNU ld's only accept -v.
if $LD -v 2>&1 </dev/null | egrep '(GNU|with BFD)' 1>&5; then
  ac_cv_prog_gnu_ld=yes
else
  ac_cv_prog_gnu_ld=no
fi])
])

# AM_PROG_NM - find the path to a BSD-compatible name lister
AC_DEFUN(AM_PROG_NM,
[AC_MSG_CHECKING([for BSD-compatible nm])
AC_CACHE_VAL(ac_cv_path_NM,
[case "$NM" in
/* | [A-Za-z]:\\*)
  ac_cv_path_NM="$NM" # Let the user override the test with a path.
  ;;
*)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in /usr/ucb /usr/ccs/bin $PATH /bin; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/nm; then
      # Check to see if the nm accepts a BSD-compat flag.
      # Adding the `sed 1q' prevents false positives on HP-UX, which says:
      #   nm: unknown option "B" ignored
      if ($ac_dir/nm -B /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
        ac_cv_path_NM="$ac_dir/nm -B"
      elif ($ac_dir/nm -p /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
        ac_cv_path_NM="$ac_dir/nm -p"
      else
        ac_cv_path_NM="$ac_dir/nm"
      fi
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_NM" && ac_cv_path_NM=nm
  ;;
esac])
NM="$ac_cv_path_NM"
AC_MSG_RESULT([$NM])
AC_SUBST(NM)
])
dnl Check if localisation support has to be compiled and installed

AC_DEFUN(AC_SS_CHECK_LOCALIZE,
	[
		AC_MSG_CHECKING(if locale support is requested)
  		AC_ARG_WITH(locale,[  --without-locale        Specifies to do not support localization ],SS_LOCALE_REQUESTED="$withval",SS_LOCALE_REQUESTED="yes")
		if test "$SS_LOCALE_REQUESTED" = "yes"; then
			AC_MSG_RESULT(yes)
		else
		    SS_LOCALE_REQUESTED="no"
		    AC_MSG_RESULT(no)
		fi

		if test "$SS_LOCALE_REQUESTED" = "yes"; then
			AC_PATH_PROG(SS_MSGFMT,msgfmt,":",$PATH:/bin:/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin:/usr/lib/qt/bin:/usr/local/qt/bin:/usr/X11R6/qt/bin:/usr/qt/bin:/usr/build/qt/bin)
			if test "SS_MSGFMT" != ":"; then
				AC_DEFINE(COMPILE_NEED_LOCALE)
			fi
 		else
			SS_MSGFMT=":"
		fi

		AC_SUBST(SS_MSGFMT)
	]
)

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
dnl We require 2.13 because we rely on SHELL being computed by configure.
AC_PREREQ([2.13])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

